Skip to main content
Back to API List To retrieve the details of a particular skill group with the given streamId and Skill Group Id.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{id}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required
idThe skill group id.string, required

Sample Request

curl --location --request GET 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{id}}' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \

Sample Response

{
    "id": "620b814ca2344f1caa8cxxxx",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "color": "#f0f0f0"
}